EDIT - task #9266

Remove protologue section from TaxEditor
10/30/2020 02:01 PM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.18

Severity: blocker

Description

after protologues have been moved now to nomenclaturalSource.externalLink.

Related issues:

Related to EDIT - feature request #6581: Make all microreferenced references ... Closed
Related to EDIT - feature request #9333: Preference for display of protologue... New
Follows EDIT - feature request #6589: Handle protologue as original source wi... Closed

Associated revisions

Revision 85ff485a - 11/06/2020 05:04 PM - Katja Luther

ref #9266: remove protologue section - needs to be cleaned up

Revision 468ead78 - 11/12/2020 11:04 AM - Katja Luther

ref #9266: restructure nomenclatural source detail element

Revision 68e7703e - 11/12/2020 11:39 AM - Katja Luther

ref #9266: restructure nomenclatural source detail element

Revision d8d71f2a - 11/13/2020 01:41 PM - Katja Luther
ref #9266: minor

Revision 1d916b0b - 11/16/2020 10:47 AM - Katja Luther
ref #9266: minor

Revision bOe51e45 - 11/17/2020 10:14 AM - Katja Luther

ref #9266: some layout issues and label renaming

Revision 196b09e5 - 11/24/2020 08:54 AM - Katja Luther

ref #9266: remove more section in nomenclatural source and keep protologue label

Revision d0Ob9755a - 11/24/2020 11:00 AM - Katja Luther

ref #9266: layout issues

History

#1 - 10/30/2020 02:02 PM - Andreas Miiller
- Due date set to 04/25/2017
- Start date changed from 10/30/2020 to 04/25/2017

- Follows feature request #6589: Handle protologue as original source with URI link added

#2 - 11/06/2020 12:11 PM - Andreas Miiller
- Due date deleted (04/25/2017)

#3 - 11/06/2020 05:12 PM - Katja Luther

- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 0 to 30

The protologue section is removed/commented, please review afterwards | will remove the code completely.

#4 - 11/09/2020 01:15 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

The protologue section should also be removed from local and DB preferences | guess as it probably has no effect to use these preferences
anymore. Maybe we could even write an update script to remove the preference from the DB preferences if it exists (I can do this, can you tell me,
what the subject is for this Preference?).

Additionally we should make the new links (nom.source->external link) more prominent and always visible/not only hidden in the "more" part. But this
is probably another ticket.

Maybe we could even use the above preference to show or not show the external link section. Then we don't have to delete the preference but simply
use it differently. Some projects that do not link to protologues might be interested in this.

#5 - 11/16/2020 02:39 PM - Andreas Miuller

- Related to feature request #6581: Make all microreferenced references OriginalSources added

#6 - 11/19/2020 12:15 PM - Katja Luther

Andreas Miller wrote:
The protologue section should also be removed from local and DB preferences | guess as it probably has no effect to use these preferences
anymore. Maybe we could even right an update script to remove the preference from the DB preferences if it exists (I can do this, can you tell
me, what the subject is for this Preference?).
Additionally we should make the new links (nom.source->external link) more prominent and always visible/not only hidden in the "more" part. But
this is probably another ticket.

this is done.
Maybe we could even use the above preference to show or not show the external link section. Then we don't have to delete the preference but

simply use it differently. Some projects that do not link to protologues might be interested in this.

| would prefer to reuse the preference because it is more or less the same.

#7 - 11/25/2020 12:17 PM - Andreas Miiller

- % Done changed from 30 to 50

Katja Luther wrote:
Maybe we could even use the above preference to show or not show the external link section. Then we don't have to delete the preference
but simply use it differently. Some projects that do not link to protologues might be interested in this.

| would prefer to reuse the preference because it is more or less the same.

Is this implemented already? | ask to decide if we can close this ticket. If not yet implemented can it be done within this release or should we create a
new ticket?

#8 - 11/26/2020 09:31 AM - Katja Luther
Andreas Mller wrote:
Katja Luther wrote:
Maybe we could even use the above preference to show or not show the external link section. Then we don't have to delete the

preference but simply use it differently. Some projects that do not link to protologues might be interested in this.

| would prefer to reuse the preference because it is more or less the same.
Is this implemented already? | ask to decide if we can close this ticket. If not yet implemented can it be done within this release or should we
create a new ticket?

It is not implemented yet, | create a new ticket.(#9333)

#9 - 11/26/2020 09:31 AM - Katja Luther

- Related to feature request #9333: Preference for display of protologue section in nomenclatural source section added

#10 - 11/26/2020 09:32 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#11 - 11/26/2020 12:54 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100

04/09/2024 3/3


https://dev.e-taxonomy.eu/redmine/issues/9333
http://www.tcpdf.org

